import express from 'express'
import { registerUser,loginUser,getAllUsers } from '../controllers/UserControllers.js'
import protect from '../middleware/auth.js'

const router = express.Router();

router.post("/register",protect, registerUser);
router.post("/login",protect, loginUser);
router.get("/",protect, getAllUsers);

export default router